import { AfterContentInit, ChangeDetectorRef, OnDestroy, ViewContainerRef } from '@angular/core';
import { Subject } from 'rxjs';
import { IBindIO } from '../interfaces/bind-io.interface';
import { NgxBindInputsService } from '../services/ngx-bind-inputs.service';
export declare class BindInputsDirective implements Partial<IBindIO>, OnDestroy, AfterContentInit {
    private _viewContainerRef;
    private _ngxBindInputsService;
    private _ref;
    excludeInputs: string[] | string;
    includeInputs: string[] | string;
    component: any;
    parentComponent: any;
    inputs: {
        keys: string[];
        parentKeys: string[];
    };
    used: string[];
    destroyed$: Subject<boolean>;
    constructor(_viewContainerRef: ViewContainerRef, _ngxBindInputsService: NgxBindInputsService, _ref: ChangeDetectorRef);
    ngAfterContentInit(): void;
    ngOnDestroy(): void;
    bindValue(key: string, value: any): void;
}
