import { AfterContentInit, ChangeDetectorRef, OnDestroy, ViewContainerRef } from '@angular/core';
import { Subject } from 'rxjs';
import { IBindIO } from '../interfaces/bind-io.interface';
import { NgxBindInputsService } from '../services/ngx-bind-inputs.service';
import { NgxBindOutputsService } from '../services/ngx-bind-outputs.service';
export declare class BindIODirective implements IBindIO, OnDestroy, AfterContentInit {
    private _viewContainerRef;
    private _ngxBindInputsService;
    private _ngxBindOutputsService;
    private _ref;
    excludeInputs: string[] | string;
    includeInputs: string[] | string;
    excludeOutputs: string[] | string;
    includeOutputs: string[] | string;
    component: any;
    parentComponent: any;
    inputs: {
        keys: string[];
        parentKeys: string[];
    };
    outputs: {
        keys: string[];
        parentKeys: string[];
    };
    used: string[];
    destroyed$: Subject<boolean>;
    constructor(_viewContainerRef: ViewContainerRef, _ngxBindInputsService: NgxBindInputsService, _ngxBindOutputsService: NgxBindOutputsService, _ref: ChangeDetectorRef);
    ngAfterContentInit(): void;
    ngOnDestroy(): void;
    bindValue(key: string, value: any): void;
}
