import { IBindIO } from '../interfaces/bind-io.interface';
export declare class NgxBindInputsService {
    /**
     * BindInputs Directive
     */
    bindInputs(directive: Partial<IBindIO>): void;
    bindObservableInputs(directive: Partial<IBindIO>): void;
    /**
     * Inputs
     */
    checkKeyNameToInputBind(directive: Partial<IBindIO>, parentKey: string, key: string): boolean;
    checkInputToBind(directive: Partial<IBindIO>, parentKey: string, key: string): boolean;
    bindInput(directive: Partial<IBindIO>, parentKey: string, key: string): void;
    /**
     * Observable Inputs
     */
    checkKeyNameToObservableInputBind(directive: Partial<IBindIO>, parentKey: any, key: any): boolean;
    checkObservableInputToBind(directive: Partial<IBindIO>, parentKey: string, key: string): boolean;
    bindObservableInput(directive: Partial<IBindIO>, parentKey: string, key: string): void;
    /**
     * Utils
     */
    getInputs(directive: Partial<IBindIO>): {
        parentKeys: string[];
        keys: string[];
    };
}
